Skip to main content
`Ctrl`+`K`

# MATCOARSENMISK

A coarsener that uses MISK, a simple greedy coarsener

## Options Database Key

- -mat_coarsen_misk_distance k - distance for MIS

## Note

When the coarsening is used inside `PCGAMG` then the options database key is `-pc_gamg_mat_coarsen_misk_distance`

## See Also

`MatCoarsen`, `MatCoarsenMISKSetDistance()`, `MatCoarsenApply()`, `MatCoarsenSetType()`, `MatCoarsenType`, `MatCoarsenCreate()`, `MATCOARSENHEM`, `MATCOARSENMIS`

## Level

beginner

## Location

src/mat/graphops/coarsen/impls/misk/misk.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages